package version

import (
	"github.com/prometheus/client_golang/prometheus"
)

var (
	GitHash, GitBranch, BuildTime, GOVersion, Version string
)

var mistGauge = prometheus.NewGaugeVec(prometheus.GaugeOpts{
	Name: "validator_version_gauge",
}, []string{"gitHash", "gitBranch", "buildTime", "goVersion", "version"})

func init() {
	prometheus.MustRegister(mistGauge)
	mistGauge.WithLabelValues(GitHash, GitBranch, BuildTime, GOVersion, Version).Set(1)
}
